/** @format */
/* http://meyerweb.com/eric/tools/css/reset/
   v2.0 | 20110126
   License: none (public domain)
*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}
body {
  line-height: 1;
}
ol,
ul {
  list-style: none;
}
blockquote,
q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}

body {
  font-family: "LXGW WenKai TC", serif;
  font-optical-sizing: auto;
  font-style: normal;
  background-image: url("./images/asfalt-dark.png");
  background-size: contain;
  background-position: center;
  background-color: #1d331e;
}

.main-container {
  padding: 100px 0;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  line-height: 32px;
  color: #e0ba5a;
}

/* 初始狀態：隱藏並稍微下移 */
.content > * {
  opacity: 0;
  transform: translateY(20px);
  animation: fadeInUp 1s ease-out forwards;
  animation-delay: 0s; /* 初始不顯示 */
  text-decoration: none;
}

/* 動畫：淡入並向上移動 */
@keyframes fadeInUp {
  0% {
    opacity: 0;
    transform: translateY(20px);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

.content > *:nth-child(1) {
  animation-delay: 0.5s;
}

.content > *:nth-child(2) {
  animation-delay: 0.8s;
}

.content > *:nth-child(4) {
  animation-delay: 1.1s;
}

.content > *:nth-child(6) {
  animation-delay: 1.4s;
}

.content > *:nth-child(8) {
  animation-delay: 1.7s;
}

.content > *:nth-child(10) {
  animation-delay: 2s;
}

.content > *:nth-child(12) {
  animation-delay: 2.3s;
}

.content > *:nth-child(13) {
  animation-delay: 2.5s;
}

.content {
  width: 85%;
}

.content .img {
  margin-bottom: 60px;
  width: 100%;
  text-align: center;
}

.content .img img {
  width: 100%;
  max-width: 500px;
}

.content h3 {
  font-size: 24px;
  font-weight: 700;
  color: #f7f6f2;
}

.content h4 {
  font-size: 22px;
  font-weight: 700;
  word-wrap: break-word;
  color: #f7f6f2;
}

.content p {
  font-size: 16px;
  font-weight: 300;
  word-break: keep-all;
}

.contact-us p a {
  color: #e0ba5a;
  text-decoration: none;
}

.contact-us p a svg {
  width: 30px;
}

.content p strong {
  font-weight: 700;
  color: #f7f6f2;
}

.contact-us {
  margin-top: 50px;
}

.media {
  display: flex;
  gap: 16px;
  margin-top: 12px;
}

.media a {
  text-decoration: none;
}

@media screen and (min-width: 768px) {
  .main-container {
    line-height: 50px;
  }

  .content {
    max-width: 700px;
  }

  .content h3 {
    font-size: 32px;
  }

  .content h4 {
    font-size: 28px;
  }

  .content p {
    font-size: 24px;
  }
}
